From c0aa811a845e78c27ef949b4dbc82dfcd9c3da68 Mon Sep 17 00:00:00 2001
From: Arthur Zamarin <arthurzam@gentoo.org>
Date: Thu, 19 Aug 2021 22:27:48 +0300
Subject: [PATCH] Fix import collections.abc for python 3.10

Signed-off-by: Arthur Zamarin <arthurzam@gentoo.org>
---
 wstools/Utility.py | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

diff --git a/wstools/Utility.py b/wstools/Utility.py
index c1ccd65..f5f1453 100644
--- a/wstools/Utility.py
+++ b/wstools/Utility.py
@@ -33,7 +33,10 @@ try:
     from UserDict import DictMixin  # noqa
 except ImportError:
     from collections import UserDict
-    from collections import MutableMapping as DictMixin  # noqa
+    try:
+        from collections.abc import MutableMapping as DictMixin  # noqa
+    except ImportError:
+        from collections import MutableMapping as DictMixin  # noqa
 
 from .TimeoutSocket import TimeoutSocket, TimeoutError  # noqa
 
-- 
2.33.0

